org.eclipse.mat.hprof.ui

## Class HPROFPreferencePage

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.preference.PreferencePage
    - - org.eclipse.jface.preference.FieldEditorPreferencePage
      - - org.eclipse.mat.hprof.ui.HPROFPreferencePage

All Implemented Interfaces:
  EventListener, IDialogPage, IMessageProvider, IPreferencePage, IPropertyChangeListener, IWorkbenchPreferencePage

    public class HPROFPreferencePage
    extends FieldEditorPreferencePage
    implements IWorkbenchPreferencePage

This class represents a preference page that is contributed to the Preferences dialog. By subclassing { link org.eclipse.jface.preference.FieldEditorPreferencePage}, we can use the field support built into JFace that allows us to create a page that is small and knows how to save, restore and apply itself.

This page is used to modify preferences only. They are stored in the preference store that belongs to the main plug-in class. That way, preferences can be accessed directly via the preference store.

### Field Summary

### Fields inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

`FLAT, GRID`

### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

`ERROR, INFORMATION, NONE, WARNING`

### Constructor Summary

Constructors
Constructor and Description
`HPROFPreferencePage()` Create the preference page.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `createFieldEditors()` Creates the field editors.
`void` `init(IWorkbench workbench)` No-op

### Methods inherited from class org.eclipse.jface.preference.FieldEditorPreferencePage

`dispose, performOk, propertyChange, setVisible`

### Methods inherited from class org.eclipse.jface.preference.PreferencePage

`applyData, computeSize, createControl, getContainer, getPreferenceStore, isValid, okToLeave, performCancel, performHelp, setContainer, setErrorMessage, setMessage, setPreferenceStore, setSize, setTitle, setValid, toString`

### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

`getControl, getDescription, getErrorMessage, getImage, getMessage, getMessageType, getShell, getTitle, setDescription, setImageDescriptor, setMessage`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.eclipse.jface.preference.IPreferencePage

`computeSize, isValid, okToLeave, performCancel, performOk, setContainer, setSize`

### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

### Constructor Detail

#### HPROFPreferencePage

    public HPROFPreferencePage()

Create the preference page.

### Method Detail

#### createFieldEditors

    public void createFieldEditors()

Creates the field editors. Field editors are abstractions of the common GUI blocks needed to manipulate various types of preferences. Each field editor knows how to save and restore itself.

Specified by:
  `createFieldEditors` in class `FieldEditorPreferencePage`

#### init

    public void init(IWorkbench workbench)

No-op

Specified by:
  `init` in interface `IWorkbenchPreferencePage`